set terminal pdfcairo enhanced color size 3,2 fontscale 0.25\
    font 'Arial,11' linewidth 1 dl 1
    
set key font ',10'
set key top left

set size square

set ylabel offset 1
set xlabel offset 0,0.5

set lmargin at screen 0.2
set rmargin at screen 0.75
set tmargin at screen 0.15
set bmargin at screen 0.75

# load 'C:\\Users\\mistryde\\OneDrive - The University of Colorado Denver\\000 UC Denver\\gnuplot\\gnuplot_linestyles_colour lines.gp'
load 'C:\\Users\\deves\\OneDrive - The University of Colorado Denver\\000 UC Denver\\gnuplot\\gnuplot_linestyles_colour lines.gp'
#load 'c:\\Users\\pydam\\Documents\\gnuplot\\eps\\gnuplot_linestyles_bw.gp'

set ylabel "Birefringence"
set yrange [0:]
set xrange [0:]
set xtics 0.2
set xlabel "{/Symbol e}_x-{/Symbol e}_y"

f(m,x) = m*x

fit f(m1,x) "LCE 1.txt" u ($1-$3):4 via m1
fit f(m2,x) "LCE 2.txt" u ($1-$3):4 via m2
fit f(m3,x) "LCE 3.txt" u ($1-$3):4 via m3

set output "strain optic fits.pdf"

err = 0.01

plot\
	"LCE 1.txt" u ($1-$3):4:(($5**2+$7**2)**0.5):8 w xyerrorbars ls 1 dt 1 title "LCE 1", f(m1,x) ls 1 dt 1 notitle,\
	"LCE 2.txt" u ($1-$3):4:(($5**2+$7**2)**0.5):8 w xyerrorbars ls 2 dt 1 title "LCE 2", f(m2,x) ls 2 dt 1 notitle,\
	"LCE 3.txt" u ($1-$3):4:(($5**2+$6**2)**0.5):8 w xyerrorbars ls 3 dt 1 title "LCE 3", f(m3,x) ls 3 dt 1 notitle,\
	# f(m3+err,x) ls 1 dt 1 notitle, f(m3-err,x) ls 1 dt 1 notitle,\

# pause -1